> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new dataset

> Create a new dataset



## OpenAPI

````yaml POST /api/dataset
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - project_api_key: []
paths:
  /api/dataset:
    post:
      description: Create a new dataset
      operationId: postApiDataset
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                columnTypes:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      type:
                        anyOf:
                          - type: string
                            const: string
                          - type: string
                            const: boolean
                          - type: string
                            const: number
                          - type: string
                            const: date
                          - type: string
                            const: list
                          - type: string
                            const: json
                          - type: string
                            const: spans
                          - type: string
                            const: rag_contexts
                          - type: string
                            const: chat_messages
                          - type: string
                            const: annotations
                          - type: string
                            const: evaluations
                          - type: string
                            const: image
                    required:
                      - name
                      - type
                  default: []
              required:
                - name
      responses: {}
components:
  securitySchemes:
    project_api_key:
      type: apiKey
      in: header
      name: X-Auth-Token
      description: >-
        Project API key for sending traces and accessing project-scoped
        resources. Format: sk-lw-... (no underscore). Obtain one by creating a
        project via the Admin API or the LangWatch UI.

````